import dynamix_sdk.base as _base


class CloudapiBserviceGroupUpdateExtnetResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceGroupUpdateExtnetProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def group_update_extnet(
        self,
        *,
        bservice_id: int,
        bsgroup_id: int,
        extnet_ids: list[int] | None = None,
    ) -> CloudapiBserviceGroupUpdateExtnetResultBool:
        ...
